View Issue Details

IDProjectCategoryView StatusLast Update
0000213SymmetricDSNew Featurepublic2016-04-07 14:28
ReporterAssigned Toelong 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionduplicate 
Product Version3.8.0 
Target Version3.8.0Fixed in Version3.8.0 
Summary0000213: Allow the SymmetricDS API to be called from the command line
Description"It would be nice to use the API in the SymmetricLauncher, so running from the command line without a server is possible, like this: sym --auto-create --sym --run-sql insert_config.sql-- sym --generate-triggers sym --pull sym --push For SymmetricDS 2.0, we probably need a ""route-data"" option also."
TagsNo tags attached.

Relationships

related to 0001575 closedelong Offline data synchronization 
related to 0002477 closedelong Add command line options to sym that allow me to run a single push or pull 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2012-06-18 14:12 admin Target Version 3.1.0 =>
2014-02-04 10:48 elong Priority high => normal
2014-02-04 10:48 elong Severity minor => feature
2014-02-04 10:48 elong Product Version 2.0.RC.3a =>
2014-02-04 10:48 elong Fixed in Version 3.1.0 =>
2014-02-13 11:12 elong Relationship added related to 0001575
2016-04-07 14:23 elong Relationship added related to 0002477
2016-04-07 14:24 elong Status new => closed
2016-04-07 14:24 elong Assigned To => elong
2016-04-07 14:24 elong Resolution open => duplicate
2016-04-07 14:24 elong Fixed in Version => 3.8.0
2016-04-07 14:28 admin Product Version => 3.8.0
2016-04-07 14:28 admin Target Version => 3.8.0